/***************************************************************************
                          lcd.h  -  Handle LCD on Compaq Armada E500
                             -------------------
    begin                : Wed Jun 22 2005
    copyright            : (C) 2005 by Andrei Gavrila
    email                : andreig@revolutionstudio.ro
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef __lcd_h
  #define _lcd_h

#include <stdio.h>
#include <unistd.h>
#include <sys/io.h>

#define INDEX_PORT    0xe0
#define DATA_PORT     (INDEX_PORT + 1)

#define CONF_START    0x55
#define CONF_END      0xAA

#define REG_LOGDN     0x07
#define REG_CHIP_ID   0x20

#define REG_LDN_ACT   0x30
#define REG_LDN_BASEH 0x60
#define REG_LDN_BASEL 0x61

#define MBX_PWM0      0x92
#define MBX_PWM1      0x93

int lcdGetBrightness(void);
int lcdSetBrightness(int);

#endif
